Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.tools.enhancer
Class Enhancer

    java.lang.Object
      com.google.appengine.tools.enhancer.Enhancer

    public class Enhancer

extends java.lang.Object

Executes ORM enhancement against jars and class files.

Constructor Summary
`Enhancer()`

Method Summary
`void` | `execute()` Runs enhancement.
`void` | `setArgs(java.lang.String[] args)` Sets arguments to be passed to the underlying enhancer.
`void` | `setDatanucleusVersion(java.lang.String datanucleusVersion)` Sets the version of datanucleus to use for enhancement.
`void` | `setTargets(java.util.Set<java.net.URL> enhanceTargets)` Sets the class files and jar files which will be enhanced.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Enhancer

    public Enhancer()

Method Detail

### setTargets

    public void setTargets(java.util.Set<java.net.URL> enhanceTargets)

  Sets the class files and jar files which will be enhanced.

  Parameters:
    `enhanceTargets` - must not be null

### setArgs

    public void setArgs(java.lang.String[] args)

  Sets arguments to be passed to the underlying enhancer.

  Parameters:
    `args` - must not be null

### setDatanucleusVersion

    public void setDatanucleusVersion(java.lang.String datanucleusVersion)

  Sets the version of datanucleus to use for enhancement. Specifically, this is the directory under /lib/opt/tools/datanucleus containing the enhancer and the jars it depends on.

  Parameters:
    `datanucleusVersion` - must not be null

### execute

    public void execute()

  Runs enhancement.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD